Subject: bug#20542: Differences between q and Q

From: Paolo Bonzini <[email-masked]>
Date: Sun, 10 May 2015 17:45:14 +0200

On 10/05/2015 07:07, Daniel Goldman [email-masked] [sed-users] wrote:
> Again, to repeat, the purpose of my post (based on emails I received) 
> was to suggest that the GNU sed manual be corrected to read "Note that 
> the current pattern space is printed if auto-print is not disabled with 
> the -n options. Also, scheduled text is printed." for q, and "This 
> command is the same as q, but will not print the contents of pattern 
> space, nor any scheduled text." for Q. If anyone has comments on this 
> admittedly minor correction, that would be great. If no comments, that's 
> OK too. :)

Yes, this is a good change.  I'm CCing the current GNU sed maintainer so
that he can work it out into a patch.

By the way, there is another command ("d") that suppresses scheduled text.

Paolo